package com.faraphel.tasks_valider.database.api.server.entities

import com.faraphel.tasks_valider.database.api.server.entities.base.BaseTaskDatabaseApi
import com.faraphel.tasks_valider.database.dao.base.BaseTaskDao
import com.faraphel.tasks_valider.database.entities.SessionEntity
import com.faraphel.tasks_valider.database.entities.ValidationEntity


class ValidationDatabaseApi(
    dao: BaseTaskDao<ValidationEntity>,
    session: SessionEntity
) : BaseTaskDatabaseApi<ValidationEntity>(
    dao,
    session,
    ValidationEntity::class.java
)
